package com.jwipc.tender.convert;

import com.jwipc.tender.dto.TenderDetailAllDTO;
import com.jwipc.tender.entity.TenderDetail;
import org.mapstruct.Mapper;

import java.util.List;


@Mapper(componentModel = "spring")
public interface TenderDetailConvert {
    TenderDetail dto2Entity(TenderDetailAllDTO tenderDetail);

    TenderDetailAllDTO entity2Dto(TenderDetail tenderDetail);

    List<TenderDetailAllDTO> entities2Dtos(List<TenderDetail> tenderDetails);
}
